Name:                xmlbeans-maven-plugin
Version:             2.3.3
Release:             1
Summary:             Maven XML Beans Plugin
License:             ASL 2.0
Url:                 https://github.com/take5pl/xmlbeans-maven-plugin
Source0:             https://repo1.maven.org/maven2/org/codehaus/mojo/xmlbeans-maven-plugin/%{version}/%{name}-%{version}-sources.jar
Source1:             http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:             https://repo1.maven.org/maven2/org/codehaus/mojo/xmlbeans-maven-plugin/%{version}/%{name}-%{version}.pom
BuildRequires:       maven-local mvn(org.apache.maven:maven-artifact)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.xmlbeans:xmlbeans) mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils) mvn(stax:stax-api)
BuildRequires:       mvn(xml-resolver:xml-resolver)
BuildArch:           noarch
%description
Maven XML Beans Plugin provides integration of the
Apache XML Beans for Maven. Runs the xmlbeans
parser/code generator against schemes in files and
dependent jars.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt
cp -p %{SOURCE2} pom.xml
rm -f org/codehaus/mojo/xmlbeans/HelpMojo.java
rm -f org/codehaus/mojo/xmlbeans/XmlBeansException.properties
mkdir -p src/main/java
mv org src/main/java
mkdir -p src/main/resources
mv archetype-resources src/main/resources
mv META-INF src/main/resources
%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-core:any:compile
%pom_add_plugin :xmlbeans
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :jdepend-maven-plugin
rm -r pom.xml.orig
%mvn_file : %{name}

%build
%mvn_build -- -Dmojo.java.target=1.5

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Mon Aug 17 2020 maminjie <maminjie1@huawei.com> - 2.3.3-1
- package init
